viGroupManagerSlot = {};
source(VehicleInspector.modDir.."scripte/mohFeatures/module/viGroupManager/viGroupManagerSlotConfig.lua");
source(VehicleInspector.modDir.."scripte/mohFeatures/module/viGroupManager/viGroupManagerSlotOutput.lua");

function viGroupManagerSlot:update(dt)
	if g_currentMission.multiOverlayV4.moduleFunction.getActiveRunningModul( {modName="vehicleInspector", modulName="viGroupManagerSlot"} ) then
		if viGroupManagerSlot.values.updateTimer > 0 then			
			if g_currentMission.hl.timers["viGroupManagerSlot"] ~= nil then return;end;
			g_currentMission.hl.addTimer( {delay=viGroupManagerSlot.values.updateTimer, name="viGroupManagerSlot", repeatable=1, ms=viGroupManagerSlot.values.msec, action=viGroupManagerSlot.load} ); 
		else
			viGroupManagerSlot:load();
		end;
	else
		VehicleInspector.global.isCmdActive.viGroupManagerSlot = false;
	end;
end;

function viGroupManagerSlot.loadOnStart(update) --onStartMission Callback, update = updateByPlayer !new object or delete object etc. delete your old cmds!	
	if viGroupManagerSlot.values == nil then viGroupManagerSlotConfig:defaultValues();end;	
	if update == nil then viGroupManagerSlot:loadAllGroups(true);end;	
end;

function viGroupManagerSlot.load()	
	viGroupManagerSlot:loadAllGroups();
end;

function viGroupManagerSlot:loadAllGroups(generateCmd)	
	local playerFarmId = g_currentMission.player.farmId;	
	local vehicles = {}; 
	if g_currentMission ~= nil and g_currentMission.vehicles ~= nil then
		
		
		viGroupManagerSlot.values.vehicles = vehicles; --new		
	end;
	if generateCmd ~= nil and generateCmd then viGroupManagerSlotConfig:generateCmd();end;
end;
if g_currentMission.multiOverlayV4 ~= nil then
	g_currentMission.multiOverlayV4.moduleFunction.addCallbackModul( { modName="vehicleInspector", modulCallbackName="onStartMission", callback=viGroupManagerSlot.loadOnStart } );
	g_currentMission.multiOverlayV4.moduleFunction.addCallbackModul( { modName="vehicleInspector", modulCallbackName="update", callback=viGroupManagerSlot.update } );
end;